Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 4570)
+++ trunk/BNC/src/bnchelp.html	(revision 4601)
@@ -646,6 +646,14 @@
 <li>File <u>E</u>diting and concatenation</li>
 <li>File <u>Q</b></u>uality <u>C</u>heck</li>
+<ul>
+<li>Multipath analysis sky plots (see Estey and Meertens 1999)</li>
+<li>Signal-to-Noise sky plots</li>
+<li>Satellite availability plots</li>
+</ul>
 </ul>
 and hence follows UNAVCO's famous 'TEQC' program. The remarkable thing about BNC in this context is that it supports RINEX Version 3 under GNU General Public License.
+</p>
+<p><img src="IMG/screenshot30.png"/></p>
+<p><u>Figure 7:</u>Example for satellite availability plot.</p>
 
 <p><a name="reqcact"><h4>3.6.1 Action - optional</h4></p>
@@ -675,5 +683,5 @@
 
 <p><img src="IMG/screenshot27.png"/></p>
-<p><u>Figure 7:</u> Example for 'RINEX Editing Options' window.</p>
+<p><u>Figure 8:</u> Example for 'RINEX Editing Options' window.</p>
 
 <p><a name="reqcinput"><h4>3.6.3 Input Files - mandatory if 'Action' is set</h4></p>
@@ -689,5 +697,5 @@
 
 <p><img src="IMG/screenshot25.png"/></p>
-<p><u>Figure 8:</u> Example for RINEX file editing with BNC in Post Processing mode.</p>
+<p><u>Figure 9:</u> Example for RINEX file editing with BNC in Post Processing mode.</p>
 
 <p>
@@ -696,5 +704,5 @@
 
 <p><img src="IMG/screenshot29.png"/></p>
-<p><u>Figure 9:</u> Example for RINEX quality check output with BNC in Post Processing mode. A multipath and a signal-to-noise ratio analysis are presented in terms of a sky plot.</p>
+<p><u>Figure 10:</u> Example for RINEX quality check output with BNC in Post Processing mode. A multipath and a signal-to-noise ratio analysis are presented in terms of a sky plot.</p>
 
 <p><a name="reqcplots"><h4>3.6.5 Directory for Plots - optional if 'Action' is set</h4></p>
@@ -726,10 +734,10 @@
 </p>
 
-<p>The following Linux command line produces RINEX QC multipath (see Estey and Meertens 1999) and signal-to-noise ratio plots offline in 'no window' mode and saves them in directory '/home/user'. Introducing a dummy configuration file /dev/null makes sure that no configuration options previously saved on disc are used:</p>
+<p>The following Linux command line produces RINEX QC plots (see Estey and Meertens 1999) offline in 'no window' mode and saves them in directory '/home/user'. Introducing a dummy configuration file /dev/null makes sure that no configuration options previously saved on disc are used:</p>
 <p>
 /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key reqcPlotDir /home/user --nw
 </p>
 <p></p>
-<p>The following Linux command line produces the same RINEX QC multipath and signal-to-noise ratio plots in interactive autoStart mode:</p>
+<p>The following Linux command line produces the same RINEX QC plots in interactive autoStart mode:</p>
 <p>
 /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key --key startTab 4 --key autoStart 2
@@ -1065,5 +1073,5 @@
 </p>
 <p><img src="IMG/screenshot12.png"/></p>
-<p><u>Figure 10:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
+<p><u>Figure 11:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
 
 <p><a name="syncport"><h4>3.8.1 Port - optional</h4></p>
@@ -1103,5 +1111,5 @@
 </p>
 <p><img src="IMG/screenshot11.png"/></p>
-<p><u>Figure 11:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
+<p><u>Figure 12:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
 
 <p><a name="sermount"><h4>3.9.1 Mountpoint - optional</h4></p>
@@ -1254,5 +1262,5 @@
 </p>
 <p><img src="IMG/screenshot14.png"/></p>
-<p><u>Figure 12:</u> RTCM message numbers, latencies and observation types.</p>
+<p><u>Figure 13:</u> RTCM message numbers, latencies and observation types.</p>
 
 
@@ -1333,8 +1341,8 @@
 
 <p><img src="IMG/screenshot03.png"/></p>
-<p><u>Figure 13:</u> Precise Point Positioning with BNC, PPP Panel 1.</p>
+<p><u>Figure 14:</u> Precise Point Positioning with BNC, PPP Panel 1.</p>
 
 <p><img src="IMG/screenshot18.png"/></p>
-<p><u>Figure 14:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
+<p><u>Figure 15:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
 
 <p>
@@ -1623,8 +1631,8 @@
 
 <p><img src="IMG/screenshot17.png"/></p>
-<p><u>Figure 15:</u> BNC in 'Quick-Start' mode (PPP, Panel 1)</p>
+<p><u>Figure 16:</u> BNC in 'Quick-Start' mode (PPP, Panel 1)</p>
 
 <p><img src="IMG/screenshot22.png"/></p>
-<p><u>Figure 16:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
+<p><u>Figure 17:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
 
 <p><a name="pppgap"><h4>3.12.7.8 Maximal Solution Gap - optional if Quick-Start is set</h4></p>
@@ -1774,11 +1782,11 @@
 <br>
 <p><img src="IMG/screenshot20.png"/></p>
-<p><u>Figure 17:</u> BNC combining Broadcast Correction streams.</p>
+<p><u>Figure 18:</u> BNC combining Broadcast Correction streams.</p>
 <p><br></p>
 <p><img src="IMG/screenshot21.png"/></p>
-<p><u>Figure 18:</u> BNC uploading the combined Broadcast Corrections stream.</p>
+<p><u>Figure 19:</u> BNC uploading the combined Broadcast Corrections stream.</p>
 <p></p>
 <p><img src="IMG/screenshot23.png"/></p>
-<p><u>Figure 19:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
+<p><u>Figure 20:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
 
 <p><a name="combimethod"><h4>3.13.1.2 Method - mandatory if 'Combine Corrections' table is populated</h4></p>
@@ -2108,5 +2116,5 @@
 </p>
 <p><img src="IMG/screenshot26.png"/></p>
-<p><u>Figure 20:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
+<p><u>Figure 21:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
 
 <p><a name="upeph"><h4>3.15. Upload Ephemeris</h4></p>
@@ -2135,5 +2143,5 @@
 
 <p><img src="IMG/screenshot28.png"/></p>
-<p><u>Figure 21:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
+<p><u>Figure 22:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
 
 <p><a name="streams"><h4>3.16. Streams</h4></p>
@@ -2202,5 +2210,5 @@
 
 <p><img src="IMG/screenshot08.png"/></p>
-<p><u>Figure 22:</u> Bandwidth consumption of incoming streams.</p>
+<p><u>Figure 23:</u> Bandwidth consumption of incoming streams.</p>
 
 <p><a name="latency"><h4>3.17.3 Latency</h4></p>
@@ -2210,5 +2218,5 @@
 
 <p><img src="IMG/screenshot07.png"/></p>
-<p><u>Figure 23:</u> Latency of incoming streams.</p>
+<p><u>Figure 24:</u> Latency of incoming streams.</p>
 
 <p><a name="ppptab"><h4>3.17.4 PPP Plot</h4></p>
@@ -2218,5 +2226,5 @@
 
 <p><img src="IMG/screenshot13.png"/></p>
-<p><u>Figure 24:</u> Time series plot of PPP session.</p>
+<p><u>Figure 25:</u> Time series plot of PPP session.</p>
 
 <p><a name="bottom"><h4>3.18. Bottom Menu Bar</h4></p>
@@ -2226,5 +2234,5 @@
 
 <p><img src="IMG/screenshot06.png"/></p>
-<p><u>Figure 25:</u> Steam input communication links.</p>
+<p><u>Figure 26:</u> Steam input communication links.</p>
 
 <p><a name="streamadd"><h4>3.18.1 Add Stream - Coming from Caster</h4></p>
@@ -2246,5 +2254,5 @@
 <p><img src="IMG/screenshot04.png"/></p>
 
-<p><u>Figure 26:</u> Casters table.</p>
+<p><u>Figure 27:</u> Casters table.</p>
 
 <p><a name="streamuser"><h4>3.18.1.3 User and Password - mandatory for protected streams</h4></p>
@@ -2264,5 +2272,5 @@
 </p> 
 <p><img src="IMG/screenshot05.png"/></p>
-<p><u>Figure 27:</u> Broadcaster source-table.</p>
+<p><u>Figure 28:</u> Broadcaster source-table.</p>
 
 <p>Button 'Map' leads to the presentation of a map showing the distribution of streams offered through the downloaded source-table.</p>
@@ -2295,5 +2303,5 @@
 </p>
 <p><img src="IMG/screenshot24.png"/></p>
-<p><u>Figure 28:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
+<p><u>Figure 29:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
 
 <p><a name="streamip"><h4>3.18.2 Add Stream - Coming from TCP/IP Port</h4></p>
@@ -2369,5 +2377,5 @@
 </p>
 <p><img src="IMG/screenshot15.png"/></p>
-<p><u>Figure 29:</u> BNC setup for pulling a stream via serial port.</p>
+<p><u>Figure 30:</u> BNC setup for pulling a stream via serial port.</p>
 
 <p><a name="start"><h4>3.18.5 Start</h4></p>
@@ -2401,6 +2409,5 @@
 least a virtual X-Server such as 'Xvfb' is installed and the '-display' option
 is used. The following is an example shell script to execute BNC in batch mode
-for producing multipath and signal-to-noise ratio plots from RINEX files. It
-could be used via 'crontab':
+for producing QC plots from RINEX files. It could be used via 'crontab':
 </p>
 <pre>
@@ -2600,5 +2607,5 @@
 <tr>
 <td>Aug 2012 &nbsp;</td><td>Version 2.7 &nbsp;</td>
-<td>[Bug] Bug in L5 decoding fixed<br> [Bug] Bug in on-the-fly configuration fixed<br> [Add] Clock RINEX file header extended<br> [Add] Decoding/converting COMPASS and QZSS added<br> [Add] Work on RINEX v2 and v3 quality check started<br> [Mod] Source code completely re-arranged<br> [Add] QWT and QWTPOLAR graphics libraries added<br> [Add] RINEX v2 and v3 quality check through multipath analysis and sky plot<br> [Add] Signal-to-noise sky plot<br> [Bug] Short periodic outages in PPP time series when operated when 'Sync Corr' set to zero<br> |Add] Log observation types contained in RTCM Version 3 MSM streams<br> [Add] Reading RINEX v3 observation type header records from RINEX skeleton files<br> [Add] Logfile for RINEX file editing and concatenation<br>[Add] Save PNG plot files on disk<br> [Add] Version 2.7 published</td>
+<td>[Bug] Bug in L5 decoding fixed<br> [Bug] Bug in on-the-fly configuration fixed<br> [Add] Clock RINEX file header extended<br> [Add] Decoding/converting COMPASS and QZSS added<br> [Add] Work on RINEX v2 and v3 quality check started<br> [Mod] Source code completely re-arranged<br> [Add] QWT and QWTPOLAR graphics libraries added<br> [Add] RINEX QC through multipath analysis sky plot<br> [Add] RINEX QC through signal-to-noise sky plot<br> [Add] RINEX QC through satellite availability plot<br> [Bug] Short periodic outages in PPP time series when operated when 'Sync Corr' set to zero<br> |Add] Log observation types contained in RTCM Version 3 MSM streams<br> [Add] Reading RINEX v3 observation type header records from RINEX skeleton files<br> [Add] Logfile for RINEX file editing and concatenation<br>[Add] Save PNG plot files on disk<br> [Add] Version 2.7 published</td>
 </tr>
 