Index: /trunk/BNC/src/bncmap.h
===================================================================
--- /trunk/BNC/src/bncmap.h	(revision 4625)
+++ /trunk/BNC/src/bncmap.h	(revision 4626)
@@ -5,14 +5,18 @@
 #include <QtGui>
 
-class bncMap : public QDialog {
+class QwtPlot;
+
+class t_bncMap : public QDialog {
  Q_OBJECT
     
  public:
-  bncMap(QWidget* parent = 0);
-  ~bncMap();
+  t_bncMap(QWidget* parent = 0);
+  ~t_bncMap();
    
  public slots:
+  void slotNewPoint(QPointF, QString, QPen, double);
    
  private:
+  QwtPlot* _mapPlot;
 };
 
Index: /trunk/BNC/src/bncmap_svg.cpp
===================================================================
--- /trunk/BNC/src/bncmap_svg.cpp	(revision 4625)
+++ /trunk/BNC/src/bncmap_svg.cpp	(revision 4626)
@@ -16,39 +16,38 @@
 // Constructor
 /////////////////////////////////////////////////////////////////////////////
-bncMap::bncMap(QWidget* parent) : QDialog(parent) {
+t_bncMap::t_bncMap(QWidget* parent) : QDialog(parent) {
 
-  QwtPlot* plot = new QwtPlot();
+  _mapPlot = new QwtPlot();
 
-  (void)new QwtPlotPanner(plot->canvas());
-  (void)new QwtPlotMagnifier(plot->canvas());
+  (void)new QwtPlotPanner(_mapPlot->canvas());
+  (void)new QwtPlotMagnifier(_mapPlot->canvas());
 
-  plot->canvas()->setFocusPolicy(Qt::WheelFocus);
+  _mapPlot->canvas()->setFocusPolicy(Qt::WheelFocus);
 
-  QRectF rect(-180.0, -90.0, 360.0, 180.0);
-
-  QwtPlotSvgItem* map = new QwtPlotSvgItem();
-  map->loadFile(rect, ":world.svg");
-  map->attach(plot);
-
-  //// beg test
-  for (int ii = -180; ii <= 180; ii += 60) {
-    for (int jj = -80; jj <= 80;   jj += 40) {
-      QwtPlotMarker* marker = new QwtPlotMarker();
-      marker->setValue(ii,jj);
-      marker->setLabel(QwtText("TXT"));
-      marker->setItemAttribute(QwtPlotItem::AutoScale, false);
-      marker->attach(plot);
-    }
-  }
-  //// end test
+  QwtPlotSvgItem* mapItem = new QwtPlotSvgItem();
+  mapItem->loadFile(QRectF(-180.0, -90.0, 360.0, 180.0), ":world.svg");
+  mapItem->attach(_mapPlot);
 
   QVBoxLayout* mainLayout = new QVBoxLayout(this);
-  mainLayout->addWidget(plot);
+  mainLayout->addWidget(_mapPlot);
 
-  plot->replot();
+  _mapPlot->replot();
 }
 
 // Destructor
 /////////////////////////////////////////////////////////////////////////////
-bncMap::~bncMap(){ 
+t_bncMap::~t_bncMap() { 
+  delete _mapPlot;
 }
+
+// 
+/////////////////////////////////////////////////////////////////////////////
+void t_bncMap::slotNewPoint(QPointF point, QString name, QPen, double) {
+  QwtPlotMarker* marker = new QwtPlotMarker();
+  marker->setValue(point.x(), point.y());
+  marker->setLabel(QwtText(name));
+  marker->attach(_mapPlot);
+}
+
+
+
Index: /trunk/BNC/src/bnctabledlg.cpp
===================================================================
--- /trunk/BNC/src/bnctabledlg.cpp	(revision 4625)
+++ /trunk/BNC/src/bnctabledlg.cpp	(revision 4626)
@@ -324,31 +324,19 @@
 void bncTableDlg::slotShowMap() {
 
-  bncMap* winMap = new bncMap(this);
-  winMap->setGeometry( x(), int(y()+height()*1.3), 880, 440 );
+  t_bncMap* bncMap = new t_bncMap(this);
+  bncMap->setGeometry( x(), int(y()+height()*1.3), 880, 440 );
 
   connect(this, SIGNAL(newPoint(QPointF, QString, QPen, double)),
-	  winMap, SLOT(slotNewPoint(QPointF, QString, QPen, double)));
-      
-  connect(this, SIGNAL(fitMap()),
-	  winMap, SLOT(slotFitMap() ));
-   
-  connect(this, SIGNAL(fitFont()),
-	  winMap, SLOT(slotFitFont() ));
+	  bncMap, SLOT(slotNewPoint(QPointF, QString, QPen, double)));
       
   _buttonMap->setEnabled(false);
   showSourceTable();
-  winMap->exec();
+  bncMap->exec();
   _buttonMap->setEnabled(true);
 
   disconnect(this, SIGNAL(newPoint(QPointF, QString, QPen, double)),
-	     winMap, SLOT(slotNewPoint(QPointF, QString, QPen, double)));
+	     bncMap, SLOT(slotNewPoint(QPointF, QString, QPen, double)));
    
-  disconnect(this, SIGNAL(fitMap()),
- 	     winMap, SLOT(slotFitMap() ));
-   
-  disconnect(this, SIGNAL(fitFont()),
-  	     winMap, SLOT(slotFitFont() ));
-      
-  delete winMap;
+  delete bncMap;
 }
 