Index: trunk/BNC/src/rinex/eleplot.cpp
===================================================================
--- trunk/BNC/src/rinex/eleplot.cpp	(revision 4662)
+++ trunk/BNC/src/rinex/eleplot.cpp	(revision 4662)
@@ -0,0 +1,118 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      t_elePlot
+ *
+ * Purpose:    Plot satellite elevations
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    08-Sep-2012
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include <qwt_scale_draw.h>
+#include <qwt_text.h>
+#include <qwt_legend.h>
+
+#include "eleplot.h"
+#include "reqcanalyze.h"
+
+//
+//////////////////////////////////////////////////////////////////////////////
+class t_scaleDrawTime : public QwtScaleDraw {
+ public:
+  t_scaleDrawTime() {}
+  virtual QwtText label(double mjdX24) const {
+    bncTime epoTime; epoTime.setmjd(mjdX24/24.0);
+    return QwtText(epoTime.timestr(0,':').c_str());
+  }
+};
+
+// Constructor
+//////////////////////////////////////////////////////////////////////////////
+t_elePlot::t_elePlot(QWidget* parent, QMap<QString, t_availData>* availDataMap) 
+: QwtPlot(parent) {
+
+  setCanvasBackground(QColor(Qt::white));
+
+  // Axes
+  // ----
+  setAxisScaleDraw(QwtPlot::xBottom, new t_scaleDrawTime());
+  setAxisLabelRotation(QwtPlot::xBottom, -10.0);
+  setAxisLabelAlignment(QwtPlot::xBottom, Qt::AlignLeft | Qt::AlignBottom);
+  setAxisScale(QwtPlot::yLeft, 0.0, 90.0);
+
+  // Legend
+  // ------
+  QwtLegend* legend = new QwtLegend;
+  insertLegend(legend, QwtPlot::RightLegend);
+
+  // Curves
+  // ------
+  int iC = 0;
+  QMapIterator<QString, t_availData > it(*availDataMap);
+  while (it.hasNext()) {
+    it.next();
+    ++iC;
+    const QString&     prn       = it.key();
+    const t_availData& availData = it.value();
+
+    // Draw one curve
+    // --------------
+    if (availData._L1ok.size()) {
+      const QVector<double>& xData = availData._eleTim;
+      const QVector<double>& yData = availData._eleDeg;
+      QColor    color(qrand() % 255, qrand() % 255, qrand() % 255);
+      QwtSymbol symbol(QwtSymbol::Rect, QBrush(color), QPen(color), QSize(1,1));
+      addCurve(prn, symbol, xData, yData);
+    }
+  }
+  
+  // Important !!!
+  // -------------
+  replot();
+}
+
+// Add Curve
+//////////////////////////////////////////////////////////////////////////////
+QwtPlotCurve* t_elePlot::addCurve(const QString& name, 
+                                    const QwtSymbol& symbol,
+                                    const QVector<double>& xData,
+                                    const QVector<double>& yData) {
+  QwtPlotCurve* curve = new QwtPlotCurve(name);
+  curve->setSymbol(new QwtSymbol(symbol));
+  curve->setStyle(QwtPlotCurve::NoCurve);
+  curve->setXAxis(QwtPlot::xBottom);
+  curve->setYAxis(QwtPlot::yLeft);
+  curve->setSamples(xData, yData);
+  curve->attach(this);
+  return curve;
+}
Index: trunk/BNC/src/rinex/eleplot.h
===================================================================
--- trunk/BNC/src/rinex/eleplot.h	(revision 4662)
+++ trunk/BNC/src/rinex/eleplot.h	(revision 4662)
@@ -0,0 +1,23 @@
+#ifndef ELEPLOT_H
+#define ELEPLOT_H
+
+#include <QtCore>
+#include <qwt_plot.h>
+#include <qwt_symbol.h>
+#include <qwt_plot_curve.h>
+
+class t_availData;
+
+class t_elePlot: public QwtPlot {
+ Q_OBJECT
+
+public:
+  t_elePlot(QWidget* parent, QMap<QString, t_availData>* availDataMap);
+
+private:
+  QwtPlotCurve* addCurve(const QString& name, const QwtSymbol& symbol,
+                         const QVector<double>& xData, 
+                         const QVector<double>& yData);
+};
+
+#endif
Index: trunk/BNC/src/rinex/reqcanalyze.cpp
===================================================================
--- trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 4661)
+++ trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 4662)
@@ -52,5 +52,5 @@
 #include "polarplot.h"
 #include "availplot.h"
-#include "zenplot.h"
+#include "eleplot.h"
 
 using namespace std;
@@ -534,6 +534,6 @@
     }
     if (zenFlag) {
-      _availDataMap[prn]._zenTim << mjdX24;
-      _availDataMap[prn]._zenDeg << zenDeg;
+      _availDataMap[prn]._eleTim << mjdX24;
+      _availDataMap[prn]._eleDeg << 90.0 - zenDeg;
     }
 
@@ -576,5 +576,5 @@
     plotA->setTitle(title);
 
-    t_zenPlot* plotZ = new t_zenPlot(0, &_availDataMap);
+    t_elePlot* plotZ = new t_elePlot(0, &_availDataMap);
     plotZ->setTitle(title);
 
Index: trunk/BNC/src/rinex/reqcanalyze.h
===================================================================
--- trunk/BNC/src/rinex/reqcanalyze.h	(revision 4661)
+++ trunk/BNC/src/rinex/reqcanalyze.h	(revision 4662)
@@ -42,6 +42,6 @@
   QVector<double> _L1gap;
   QVector<double> _L2gap;
-  QVector<double> _zenDeg;
-  QVector<double> _zenTim;
+  QVector<double> _eleDeg;
+  QVector<double> _eleTim;
 };
 
Index: trunk/BNC/src/rinex/zenplot.cpp
===================================================================
--- trunk/BNC/src/rinex/zenplot.cpp	(revision 4661)
+++ 	(revision )
@@ -1,131 +1,0 @@
-// Part of BNC, a utility for retrieving decoding and
-// converting GNSS data streams from NTRIP broadcasters.
-//
-// Copyright (C) 2007
-// German Federal Agency for Cartography and Geodesy (BKG)
-// http://www.bkg.bund.de
-// Czech Technical University Prague, Department of Geodesy
-// http://www.fsv.cvut.cz
-//
-// Email: euref-ip@bkg.bund.de
-//
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License
-// as published by the Free Software Foundation, version 2.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-/* -------------------------------------------------------------------------
- * BKG NTRIP Client
- * -------------------------------------------------------------------------
- *
- * Class:      t_zenPlot
- *
- * Purpose:    Plot with satellite zenith distances
- *
- * Author:     L. Mervart
- *
- * Created:    08-Sep-2012
- *
- * Changes:    
- *
- * -----------------------------------------------------------------------*/
-
-#include <qwt_scale_draw.h>
-#include <qwt_text.h>
-#include <qwt_legend.h>
-
-#include "zenplot.h"
-#include "reqcanalyze.h"
-
-//
-//////////////////////////////////////////////////////////////////////////////
-class t_scaleDrawTime : public QwtScaleDraw {
- public:
-  t_scaleDrawTime() {}
-  virtual QwtText label(double mjdX24) const {
-    bncTime epoTime; epoTime.setmjd(mjdX24/24.0);
-    return QwtText(epoTime.timestr(0,':').c_str());
-  }
-};
-
-// Constructor
-//////////////////////////////////////////////////////////////////////////////
-t_zenPlot::t_zenPlot(QWidget* parent, QMap<QString, t_availData>* availDataMap) 
-: QwtPlot(parent) {
-
-  setCanvasBackground(QColor(Qt::white));
-
-  // Axes
-  // ----
-  setAxisScaleDraw(QwtPlot::xBottom, new t_scaleDrawTime());
-  setAxisLabelRotation(QwtPlot::xBottom, -10.0);
-  setAxisLabelAlignment(QwtPlot::xBottom, Qt::AlignLeft | Qt::AlignBottom);
-  setAxisScale(QwtPlot::yLeft, 0.0, 90.0);
-
-  // Smaller Font for y-Axis
-  // -----------------------
-  QFont yFont = axisFont(QwtPlot::yLeft);
-  yFont.setPointSize(yFont.pointSize()/2);
-  setAxisFont(QwtPlot::yLeft, yFont);
-
-  // Symbols
-  // -------
-  QColor red(220,20,60);
-  QColor green(150,200,50);
-  QColor blue(60,100,200);
-  QwtSymbol symbRed(QwtSymbol::Rect, QBrush(red), QPen(red), QSize(2,1));
-  QwtSymbol symbGreen(QwtSymbol::Rect, QBrush(green), QPen(green), QSize(2,1));
-  QwtSymbol symbBlue (QwtSymbol::Rect, QBrush(blue), QPen(blue), QSize(2,1));
-
-  // Legend
-  // ------
-  QwtLegend* legend = new QwtLegend;
-  insertLegend(legend, QwtPlot::RightLegend);
-
-  // Curves
-  // ------
-  int iC = 0;
-  QMapIterator<QString, t_availData > it(*availDataMap);
-  while (it.hasNext()) {
-    it.next();
-    ++iC;
-    const QString&     prn       = it.key();
-    const t_availData& availData = it.value();
-
-    // Draw one curve
-    // --------------
-    if (availData._L1ok.size()) {
-      const QVector<double>& xData = availData._zenTim;
-      const QVector<double>& yData = availData._zenDeg;
-      addCurve(prn, symbGreen, xData, yData);
-    }
-  }
-  
-  // Important !!!
-  // -------------
-  replot();
-}
-
-// Add Curve
-//////////////////////////////////////////////////////////////////////////////
-QwtPlotCurve* t_zenPlot::addCurve(const QString& name, 
-                                    const QwtSymbol& symbol,
-                                    const QVector<double>& xData,
-                                    const QVector<double>& yData) {
-  QwtPlotCurve* curve = new QwtPlotCurve(name);
-  curve->setSymbol(new QwtSymbol(symbol));
-  curve->setStyle(QwtPlotCurve::NoCurve);
-  curve->setXAxis(QwtPlot::xBottom);
-  curve->setYAxis(QwtPlot::yLeft);
-  curve->setSamples(xData, yData);
-  curve->attach(this);
-  return curve;
-}
Index: trunk/BNC/src/rinex/zenplot.h
===================================================================
--- trunk/BNC/src/rinex/zenplot.h	(revision 4661)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#ifndef ZENPLOT_H
-#define ZENPLOT_H
-
-#include <QtCore>
-#include <qwt_plot.h>
-#include <qwt_symbol.h>
-#include <qwt_plot_curve.h>
-
-class t_availData;
-
-class t_zenPlot: public QwtPlot {
- Q_OBJECT
-
-public:
-  t_zenPlot(QWidget* parent, QMap<QString, t_availData>* availDataMap);
-
-private:
-  QwtPlotCurve* addCurve(const QString& name, const QwtSymbol& symbol,
-                         const QVector<double>& xData, 
-                         const QVector<double>& yData);
-};
-
-#endif
Index: trunk/BNC/src/src.pro
===================================================================
--- trunk/BNC/src/src.pro	(revision 4661)
+++ trunk/BNC/src/src.pro	(revision 4662)
@@ -118,10 +118,10 @@
              rinex/reqcedit.h         rinex/reqcanalyze.h  \
              rinex/graphwin.h         rinex/polarplot.h    \
-             rinex/availplot.h        rinex/zenplot.h
+             rinex/availplot.h        rinex/eleplot.h
   SOURCES += rinex/bncpostprocess.cpp rinex/rnxobsfile.cpp \
              rinex/rnxnavfile.cpp     rinex/corrfile.cpp   \
              rinex/reqcedit.cpp       rinex/reqcanalyze.cpp \
              rinex/graphwin.cpp       rinex/polarplot.cpp   \
-             rinex/availplot.cpp      rinex/zenplot.cpp
+             rinex/availplot.cpp      rinex/eleplot.cpp
 }
 